<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="helma.xsl"?>
<xmlroot xmlns:hop="http://www.helma.org/docs/guide/features/database">
  <hopobject id="2752" name="userspace-arduino" prototype="Page" created="1371198141020" lastModified="1395747523417">
  <hop:parent idref="20" prototyperef="Page"/>
    <is_xhtml type="boolean">true</is_xhtml>
    <http_remotehost>127.0.0.1</http_remotehost>
    <pname>Arduino-like userspace libraries for the Beagle</pname>
    <registrant>userspace.arduino</registrant>
    <http_language>en-US,en;q=0.8</http_language>
    <uri>userspace-arduino</uri>
    <http_browser>Mozilla/5.0 (X11; Linux i686) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.71 Safari/537.36</http_browser>
    <time type="date">10.07.2013 11:33:41 CDT</time>
    <updatetime type="date">14.06.2013 03:22:21 CDT</updatetime>
    <hopsession>127.0.0.59.99.244.13yjzgw18ahfe</hopsession>
    <body>&lt;p&gt;In this project, we aim to write Arduino like libraries for Linux, which will enable anyone to interface devices with much ease using the BeagleBone Black. The aim is to create userspace libraries which have function calls like digitalRead, analogWrite, etc. i.e. to keep them as similar to the Arduino environment. What will change is the underlying userspace calls. Another aim of the project is to look for various ways for communicating between the IDE and the BBB. Communication will include uploading the executable, executing them as well as fetching the output if any.&lt;/p&gt;</body>
    <pseudoparent idref="20" prototyperef="Page"/>
    <rssfeed>http://prpplague.github.io/Energia/atom.xml</rssfeed>
    <pvcount type="float">7.0</pvcount>
    <homepage>http://elinux.org/Userspace_Arduino</homepage>
    <render_skin>project</render_skin>
    <edit_skin>edit_project</edit_skin>
    <http_referer>http://beagleboard.org/project/userspace-arduino/edit</http_referer>
    <http_host>beagleboard.org</http_host>
    <errmsg></errmsg>
    <shortdesc>Almost everyone in the embedded community is familiar with the Arduino development environment. Creating the Arduino libraries for userspace could offer significant reduction in the development time of projects on the Beaglebone involving interfacing with external peripherals, with the added advantage of running other userspace applications side-by-side.</shortdesc>
    <user>userspace.arduino@gmail.com</user>
  </hopobject>
</xmlroot>
